img-sgi(3tk)

NAME
img-sgi - Img, SGI Native Format (sgi)

SYNOPSIS
package require Tk

package require img::sgi ?1.4?

image create photo ?name? ?options?

DESCRIPTION
The package img::sgi is a sub-package of Img. It can be loaded as a part of the complete Img support, via package require Img, or on its own, via package require img::sgi.

Like all packages of Img it does not provide new commands, but extends the existing Tk command image so that it supports files containing raster images in the SGI Native Format (sgi). More specifically img::sgi extends Tk's photo image type.

The name of the new format handler is sgi. This handler provides new additional configuration options. See section SGI OPTIONS for more detailed explanations.

All of the above means that in a call like

image create photo ?name? ?options?

[1] Image data in sgi format (options -data and -file) is detected automatically.

[2] The format name sgi is recognized by the option -format. In addition the value for the option is treated as list and may contain any of the special options listed in section SGI OPTIONS.

SUPPORTED SGI TYPES

     24-bit pixels: True-color (RGB, each channel 8 bit).
     32-bit pixels: True-color with alpha channel (RGBA, each channel 8 bit).
     48-bit pixels: True-color (RGB, each channel 16 bit).
     64-bit pixels: True-color with alpha channel (RGBA, each channel 16 bit).

     List of currently supported features:

     Type   |     Read      |     Write     |
            | -file | -data | -file | -data |
     ----------------------------------------
     24-bit | Yes   | Yes*  | Yes   | Yes*  |
     32-bit | Yes   | Yes*  | Yes   | Yes*  |
     48-bit | Yes   | Yes*  | No    | No    |
     64-bit | Yes   | Yes*  | No    | No    |

     *: Implemented by reading/writing from/to a temporary file. This will
        be slow for larger images.

     All images types may be either uncompressed or run-length encoded.

SGI OPTIONS
The handler provides the following options:

-verbose bool
    This option is supported for reading and writing.

    If set to true, additional information about the loaded/stored image is printed to stdout. Default is false.

-compression type
    This option is supported for writing only.

    Set the compression mode to either none or rle. Default is rle.

-matte bool
    This option is supported for reading and writing.

    If set to false, a matte (alpha) channel is ignored during reading or writing. Default is true.

SEE ALSO
img-bmp, img-dted, img-gif, img-ico, img-intro, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm

KEYWORDS
image handling, sgi, tk

COPYRIGHT
Copyright (c) 1995-2009 Jan Nijtmans <nijtmans@users.sourceforge.net>